# Namespace: color

## color

Namespace for color.

Source:
  - dicom-microscopy-viewer.js, line 106

### Classes

PaletteColorLookupTable

### Members

#### (static, constant) ColormapNames

Enumerated values for color map names.

Source:
  - color.js, line 12

### Methods

#### (static) buildPaletteColorLookupTable(options) → {color.PaletteColorLookupTable}

Build a palette color lookup table object from a colormap.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Description
--- | --- | ---
`data` | Array.<Array.<number>> | Array of RGB triplets for each color
`firstValueMapped` | number | First value that should be mapped

Source:
  - color.js, line 75

##### Returns:

Mapping of grayscale pixel values to RGB color triplets

Type
  color.PaletteColorLookupTable

#### (static) createColormap(options) → {Array.<Array.<number>>}

Create a color map.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Description
--- | --- | ---
`name` | string | Name of the color map
`bins` | string | Number of color bins

Source:
  - color.js, line 35

##### Returns:

RGB triplet for each color

Type
  Array.<Array.<number>>